Bug 1414427 - [RFE] [ODL] SR-IOV integration
Summary: [RFE] [ODL] SR-IOV integration
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: opendaylight
Version: 12.0 (Pike)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ga
: 12.0 (Pike)
Assignee: Victor Pickard
QA Contact: Itzik Brown
URL:
Whiteboard:
Depends On: 1426194 1459789
Blocks: 1442136 1469085 1528947
TreeView+ depends on / blocked
 
Reported: 2017-01-18 13:24 UTC by Nir Yechiel
Modified: 2018-10-18 07:20 UTC (History)
6 users (show)

Fixed In Version: opendaylight-6.1.0-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1528947 (view as bug list)
Environment:
N/A
Last Closed: 2017-12-13 21:02:08 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2017:3462 normal SHIPPED_LIVE Red Hat OpenStack Platform 12.0 Enhancement Advisory 2018-02-16 01:43:25 UTC

Description Nir Yechiel 2017-01-18 13:24:15 UTC
Description of problem:

A deployment may want to have some subset of Compute hosts have SR-IOV NICs exposed to VMs but use ODL for overlay management. networking-odl needs to be tested alongside the sriovnicswitch driver/agent in this scenario. 

OpenStack APIs allow for VF Passthrough (Juno) and PF Passthrough (Newton).

Comment 8 errata-xmlrpc 2017-12-13 21:02:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:3462


Note You need to log in before you can comment on or make changes to this bug.